clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::PreambleBounds Struct Reference

Describes the bounds (start, size) of the preamble and a flag required by PreprocessorOptions::PrecompiledPreambleBytes. More...

`#include "clang/Lex/Lexer.h"`

Collaboration diagram for clang::PreambleBounds:
[legend]

## Public Member Functions
| PreambleBounds (unsigned Size, bool PreambleEndsAtStartOfLine)

## Public Attributes
unsigned | Size
| Size of the preamble in bytes. More...
bool | PreambleEndsAtStartOfLine
| Whether the preamble ends at the start of a new line. More...

## Detailed Description

Describes the bounds (start, size) of the preamble and a flag required by PreprocessorOptions::PrecompiledPreambleBytes.

The preamble includes the BOM, if any.

Definition at line 58 of file Lexer.h.

## Constructor & Destructor Documentation

## ◆ PreambleBounds()

clang::PreambleBounds::PreambleBounds | ( | unsigned | Size,
|  | bool | PreambleEndsAtStartOfLine
| ) |  |
| inline

Definition at line 68 of file Lexer.h.

## Member Data Documentation

## ◆ PreambleEndsAtStartOfLine

bool clang::PreambleBounds::PreambleEndsAtStartOfLine

Whether the preamble ends at the start of a new line.

Used to inform the lexer as to whether it's starting at the beginning of a line after skipping the preamble.

Definition at line 66 of file Lexer.h.

Referenced by clang::PrecompiledPreamble::Build(), clang::PrecompiledPreamble::CanReuse(), and clang::PrecompiledPreamble::OverridePreamble().

## ◆ Size

unsigned clang::PreambleBounds::Size

Size of the preamble in bytes.

Definition at line 60 of file Lexer.h.

Referenced by clang::PrecompiledPreamble::Build(), clang::PrecompiledPreamble::CanReuse(), makeStandaloneDiagnostic(), and clang::PrecompiledPreamble::OverridePreamble().

The documentation for this struct was generated from the following file:

- include/clang/Lex/Lexer.h